<!doctype html>
<html lang="en">
<head>
    <title>Code coverage report for src/components/component-b.js</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="../../prettify.css" />
    <link rel="stylesheet" href="../../base.css" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <style type='text/css'>
        .coverage-summary .sorter {
            background-image: url(../../sort-arrow-sprite.png);
        }
    </style>
</head>
<body>
<div class='wrapper'>
  <div class='pad1'>
    <h1>
      <a href="../../index.html">All files</a> / <a href="index.html">src/components</a> component-b.js
    </h1>
    <div class='clearfix'>
      <div class='fl pad1y space-right2'>
        <span class="strong">100% </span>
        <span class="quiet">Statements</span>
        <span class='fraction'>4/4</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">100% </span>
        <span class="quiet">Branches</span>
        <span class='fraction'>0/0</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">100% </span>
        <span class="quiet">Functions</span>
        <span class='fraction'>1/1</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">100% </span>
        <span class="quiet">Lines</span>
        <span class='fraction'>4/4</span>
      </div>
    </div>
  </div>
  <div class='status-line high'></div>
<pre><table class="coverage">
<tr><td class="line-count quiet">1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55</td><td class="line-coverage quiet"><span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">3x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">3x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span></td><td class="text"><pre class="prettyprint lang-js">&nbsp;
import React from 'react';
import PropTypes from 'prop-types';
&nbsp;
import { Card, CardBody, Button, CardFooter } from './common';
&nbsp;
class Component extends React.PureComponent {
  render() {
    const {
      creditCard1, cardTitle, cardDescription, applyBtn, learnMoreBtn, termBtn
    } = this.props;
    // return  (
    //   &lt;div className="col-sm-6 col-md-4 col-lg-3 mt-4"&gt;
    //       &lt;div className="card"&gt;
    //           &lt;img className="card-img-top" src={creditCard1} /&gt;
    //           &lt;div className="card-block"&gt;
    //               &lt;h4 className="card-title"&gt;{cardTitle}&lt;/h4&gt;
    //               &lt;div className="meta"&gt;
    //                 &lt;button className="btn btn-primary float-right btn-sm" onClick={applyBtn}&gt;Apply&lt;/button&gt;
    //               &lt;/div&gt;
    //               &lt;div className="card-text"&gt;{cardDescription}&lt;/div&gt;
    //           &lt;/div&gt;
    //           &lt;div className="card-footer"&gt;
    //               &lt;span className="float-right"&gt;&lt;a href="" onClick={termBtn}&gt;Terms&lt;/a&gt;&lt;/span&gt;
    //               &lt;span&gt;&lt;a href="" onClick={learnMoreBtn}&gt;&lt;i className=""&gt;&lt;/i&gt;Learn More&lt;/a&gt;&lt;/span&gt;
    //           &lt;/div&gt;
    //       &lt;/div&gt;
    //   &lt;/div&gt;
    // );
    return (
      &lt;Card image={creditCard1}&gt;
        &lt;CardBody 
          title={cardTitle} 
          description={cardDescription} 
          button={&lt;Button className="btn-primary float-right btn-sm" onClick={applyBtn} title="Apply" /&gt;} 
        /&gt;
        &lt;CardFooter&gt;
          &lt;span className="float-right"&gt;&lt;a href="" onClick={termBtn}&gt;Terms&lt;/a&gt;&lt;/span&gt;
          &lt;span&gt;&lt;a href="" onClick={learnMoreBtn}&gt;&lt;i className=""&gt;&lt;/i&gt;Learn More&lt;/a&gt;&lt;/span&gt;
        &lt;/CardFooter&gt;
      &lt;/Card&gt;
    );
  }
}
&nbsp;
Component.propTypes = {
  creditCard1: PropTypes.string.isRequired, 
  cardTitle: PropTypes.string.isRequired, 
  cardDescription: PropTypes.string.isRequired, 
  applyBtn: PropTypes.func.isRequired, 
  learnMoreBtn: PropTypes.func.isRequired, 
  termBtn: PropTypes.func.isRequired
};
&nbsp;
export default Component;</pre></td></tr>
</table></pre>
<div class='push'></div><!-- for sticky footer -->
</div><!-- /wrapper -->
<div class='footer quiet pad2 space-top1 center small'>
  Code coverage
  generated by <a href="https://istanbul.js.org/" target="_blank">istanbul</a> at Tue Oct 24 2017 03:22:27 GMT+0530 (IST)
</div>
</div>
<script src="../../prettify.js"></script>
<script>
window.onload = function () {
        if (typeof prettyPrint === 'function') {
            prettyPrint();
        }
};
</script>
<script src="../../sorter.js"></script>
</body>
</html>
